> For the complete documentation index, see [llms.txt](https://docs.warpstream.com/warpstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.warpstream.com/warpstream/reference/api-reference/invoices.md).

# Invoices

API endpoint for retrieving current and past invoices

The WarpStream API enables users to retrieve current and past invoices. The responses from this API can be used to monitor costs, and also analyze historical billing data.

The [/get\_pending\_invoice](/warpstream/reference/api-reference/invoices/get-pending-invoice.md) endpoint retrieves the current billing period invoice, providing visibility into charges accrued so far in the billing cycle.

The [/get\_past\_invoice](/warpstream/reference/api-reference/invoices/get-past-invoice.md) endpoint retrieves a single invoice from a previous billing period. The date passed in `"date_start"` does not need to be an exact match for the beginning of the billing cycle. If the date falls within a billing cycle for which an invoice exists, the API will return a response containing the invoice for the full billing period. For example, if the billing period is from April 1 through April 30, passing `"date_start": "2025-04-15"` will return the invoice for the period starting April 1.

Both endpoints group by Tenant ID, then Workspace ID, then Virtual Cluster ID, providing the ability to analyze line-item-level detail, or rollups aggregated by entity. Finally, account-level charges (such as support billing) and credit consumption are displayed at the top level of the schema.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.warpstream.com/warpstream/reference/api-reference/invoices.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
